import React from 'react'

import {
   MenuDrawer, 
   SearchBlock, 
   Header, 
} from "../components"


const chatsPageContainer = {
   height: "100vh",
   width: "100%"
}
const chatsPageHeader = {
   height: "60px"
}
const chatsPageBody = {
   height: "calc(100vh - 60px)",
   overflowY: "auto"
}

export const ChatsPage = ({children}) => {

   return (
      <div style={chatsPageContainer}>

         <div style={chatsPageHeader}>
            <Header>
               <MenuDrawer />
               <SearchBlock />
            </Header>  
         </div>

         <div style={chatsPageBody}>
            {children}
         </div>

      </div>
   )
}
